Date: Thursday, February 8, 2018 @ 16:05:00
  Author: heftig
Revision: 316244

1.5.11-2

Added:
  system-config-printer/trunk/0001-Fix-constructing-the-auth-dialog.patch
Modified:
  system-config-printer/trunk/PKGBUILD

---------------------------------------------+
 0001-Fix-constructing-the-auth-dialog.patch |   32 ++++++++++++++++++++++++++
 PKGBUILD                                    |   13 ++++++++--
 2 files changed, 42 insertions(+), 3 deletions(-)

Added: 0001-Fix-constructing-the-auth-dialog.patch
===================================================================
--- 0001-Fix-constructing-the-auth-dialog.patch                         (rev 0)
+++ 0001-Fix-constructing-the-auth-dialog.patch 2018-02-08 16:05:00 UTC (rev 
316244)
@@ -0,0 +1,32 @@
+From 2766d74a98e44693f5e966d541a6303b966c088b Mon Sep 17 00:00:00 2001
+Message-Id: 
<2766d74a98e44693f5e966d541a6303b966c088b.1518105780.git.jan.steff...@gmail.com>
+From: "Jan Alexander Steffens (heftig)" <jan.steff...@gmail.com>
+Date: Thu, 8 Feb 2018 17:01:01 +0100
+Subject: [PATCH] Fix constructing the auth dialog
+
+47973c80 (Remove deprecated Gtk objects) broke the auth dialog.
+
+Fixes https://bugs.archlinux.org/task/57364.
+---
+ authconn.py | 2 --
+ 1 file changed, 2 deletions(-)
+
+diff --git a/authconn.py b/authconn.py
+index 2a645dcc..0f3021cb 100644
+--- a/authconn.py
++++ b/authconn.py
+@@ -78,11 +78,9 @@ class AuthDialog(Gtk.Dialog):
+             field = auth_info_required[i]
+             label = Gtk.Label (label=_(self.AUTH_FIELD.get (field, field)))
+             label.set_alignment (0, 0.5)
+-            grid.attach (label, 0, 1, i, i + 1)
+             grid.attach (label, 0, i, 1, 1)
+             entry = Gtk.Entry ()
+             entry.set_visibility (field != 'password')
+-            grid.attach (entry, 1, 2, i, i + 1, 0, 0)
+             grid.attach (entry, 1, i, 1, 1)
+             self.field_entry.append (entry)
+ 
+-- 
+2.16.1
+

Modified: PKGBUILD
===================================================================
--- PKGBUILD    2018-02-08 15:11:19 UTC (rev 316243)
+++ PKGBUILD    2018-02-08 16:05:00 UTC (rev 316244)
@@ -4,7 +4,7 @@
 
 pkgname=system-config-printer
 pkgver=1.5.11
-pkgrel=1
+pkgrel=2
 pkgdesc="A CUPS printer configuration tool and status applet"
 url="https://github.com/zdohnal/system-config-printer";
 arch=('x86_64')
@@ -15,9 +15,16 @@
 optdepends=('libsecret: password management'
             'python-pysmbc: SMB browser support'
             'cups-pk-helper: PolicyKit helper to configure cups with 
fine-grained privileges')
-source=(https://github.com/zdohnal/system-config-printer/releases/download/$pkgver/system-config-printer-${pkgver}.tar.xz)
-sha256sums=('38ad78d117c30ddb8c6c008a91d1bc0fa2e854ec04ee2de5cdd12ab842c100d3')
+source=(https://github.com/zdohnal/system-config-printer/releases/download/$pkgver/system-config-printer-${pkgver}.tar.xz
+        0001-Fix-constructing-the-auth-dialog.patch)
+sha256sums=('38ad78d117c30ddb8c6c008a91d1bc0fa2e854ec04ee2de5cdd12ab842c100d3'
+            '2fd4daa433da0659b6a86962144545015d617c39c0e42ea04d7ede5fa6f9ceff')
 
+prepare() {
+  cd ${pkgname}-${pkgver}
+  patch -Np1 -i ../0001-Fix-constructing-the-auth-dialog.patch
+}
+
 build() {
   cd ${pkgname}-${pkgver}
   ./configure --prefix=/usr \

Reply via email to